#
# spec file for package ghc-typst-symbols
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name typst-symbols
%global pkgver %{pkg_name}-%{version}
Name:           ghc-%{pkg_name}
Version:        0.1.8.1
Release:        1.1
Summary:        Symbol and emoji lookup for typst language
License:        MIT
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-base-devel
BuildRequires:  ghc-base-prof
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-text-prof
ExcludeArch:    %{ix86}

%description
This package defines symbol and emoji codes for the typst language
(<https://typst.app>).

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%package -n ghc-%{pkg_name}-doc
Summary:        Haskell %{pkg_name} library documentation
Requires:       ghc-filesystem
BuildArch:      noarch

%description -n ghc-%{pkg_name}-doc
This package provides the Haskell %{pkg_name} library documentation.

%package -n ghc-%{pkg_name}-prof
Summary:        Haskell %{pkg_name} profiling library
Requires:       ghc-%{pkg_name}-devel = %{version}-%{release}
Supplements:    (ghc-%{pkg_name}-devel and ghc-prof)

%description -n ghc-%{pkg_name}-prof
This package provides the Haskell %{pkg_name} profiling library.

%prep
%autosetup -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc CHANGELOG.md

%files -n ghc-%{pkg_name}-doc -f ghc-%{pkg_name}-doc.files
%license LICENSE

%files -n ghc-%{pkg_name}-prof -f ghc-%{pkg_name}-prof.files

%changelog
* Mon May 12 2025 Peter Simons <psimons@suse.com>
- Update typst-symbols to version 0.1.8.1.
  [#]# 0.1.8.1
  * Revert sorting in scrape-symbols.hs, introduced mistakenly in 0.1.8.
  * Regenerate symbol tables, so that defaults for things like `dots` are fixed.
  [#]# 0.1.8
  * Update to typst 0.13.
* Tue Oct 22 2024 Peter Simons <psimons@suse.com>
- Update typst-symbols to version 0.1.7.
  [#]# 0.1.7
  * Update to typst 0.12.
* Sun Mar 17 2024 Peter Simons <psimons@suse.com>
- Update typst-symbols to version 0.1.6.
  [#]# 0.1.6
  * Update to typst 0.11.
  [#]# 0.1.5
  * Update to typst 0.9.
* Wed Dec 20 2023 Peter Simons <psimons@suse.com>
- Update typst-symbols to version 0.1.5 revision 1.
  Upstream has revised the Cabal build instructions on Hackage.
* Wed Nov 15 2023 Peter Simons <psimons@suse.com>
- Update typst-symbols to version 0.1.5.
  Upstream has not updated the file "CHANGELOG.md" since the last
  release.
* Sat Aug 19 2023 Peter Simons <psimons@suse.com>
- Update typst-symbols to version 0.1.4.
  Upstream has edited the change log file since the last release in
  a non-trivial way, i.e. they did more than just add a new entry
  at the top. You can review the file at:
  http://hackage.haskell.org/package/typst-symbols-0.1.4/src/CHANGELOG.md
* Fri Jun 30 2023 Peter Simons <psimons@suse.com>
- Update typst-symbols to version 0.1.2.
  Upstream has not updated the file "CHANGELOG.md" since the last
  release.
* Thu Jun 29 2023 Peter Simons <psimons@suse.com>
- Update typst-symbols to version 0.1.1.
  Upstream has not updated the file "CHANGELOG.md" since the last
  release.
* Sun Jun  4 2023 Peter Simons <psimons@suse.com>
- Add typst-symbols at version 0.1.0.1 revision 1.
